Package org.apache.solr.cluster.api

## Enum ApiType

- java.lang.Object
- - java.lang.Enum<ApiType>
  - - org.apache.solr.cluster.api.ApiType

All Implemented Interfaces:
  `Serializable`, `Comparable<ApiType>`

    public enum ApiType
    extends Enum<ApiType>

Types of API calls

### Enum Constant Summary

Enum Constants
`V1`
`V2`

### Method Summary

All Methods Static Methods Concrete Methods
`static ApiType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static ApiType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### V1

    public static final ApiType V1

#### V2

    public static final ApiType V2

### Method Detail

#### values

    public static ApiType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ApiType c : ApiType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ApiType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null